      SUBROUTINE DIVIDE(C,IMX,JMX,IMX0,JMX0,CS)
      implicit none
      SAVE
C     ****
C     ****     DIVIDE STENCIL, C, BY COS(THETA(I,J))
C     ****
!
! Args:
      integer,intent(in) :: imx,jmx,imx0,jmx0
      real,intent(out) :: C(IMX,JMX,1)
      real,intent(in) :: CS(jmx0)
!
! Local:
      integer :: nint,j0,n,j,i
!
      NINT = (IMX0-1)/(IMX-1)
      J0 = 1-NINT
      DO 1 N = 1,9
        DO 1 J = 1,JMX-1
          DO 1 I = 1,IMX
            C(I,J,N) = C(I,J,N)/(CS(J0+J*NINT)*NINT**2)
    1 CONTINUE
      IF(NINT.EQ.1)THEN
        DO 2 I = 1,IMX
          C(I,1,10) = C(I,1,10)/CS(1)
    2 CONTINUE
      ENDIF
      RETURN
      END
C
